> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://notion.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://notion.ferndocs.com/_mcp/server.

# Retrieve a comment

GET https://api.notion.com/v1/comments/{comment_id}

Retrieves a [Comment object](/reference/comment-object) from its `comment_id`.

### Errors

Each Public API endpoint can return several possible error codes. See the [Error codes section](https://developers.notion.com/reference/status-codes#error-codes) of the Status codes documentation for more information.

Integration capabilities for reading and inserting comments are off by default.

This endpoint requires an integration to have read comment capabilities. Attempting to call this endpoint without read comment capabilities will return an HTTP response with a 403 status code.

For more information on integration capabilities, see the [capabilities guide](https://developers.notion.com/reference/capabilities). To update your integration settings, visit the [integration dashboard](https://www.notion.so/my-integrations).

Reference: https://notion.ferndocs.com/reference/retrieve-comment

## Request

### Path parameters

- `comment_id` (string, required)

### Headers

- `Notion-Version` (string, required) — The [API version](/reference/versioning) to use for this request. The latest version is `<<latestNotionVersion>>`.

## Response

### 200

200

- `object` (string, optional)
- `id` (string, optional)
- `parent` (V1CommentsCommentIdGetResponsesContentApplicationJsonSchemaParent, optional)
- `discussion_id` (string, optional)
- `created_time` (string, optional)
- `last_edited_time` (string, optional)
- `created_by` (V1CommentsCommentIdGetResponsesContentApplicationJsonSchemaCreatedBy, optional)
- `rich_text` (list of V1CommentsCommentIdGetResponsesContentApplicationJsonSchemaRichTextItems, optional)
- `display_name` (V1CommentsCommentIdGetResponsesContentApplicationJsonSchemaDisplayName, optional)

## Errors

### 403 Forbidden Error

403

- `object` (string, optional)
- `status` (integer, optional, default: 0)
- `code` (string, optional)
- `message` (string, optional)

## Types

### V1CommentsCommentIdGetResponsesContentApplicationJsonSchemaParent

- `type` (string, optional)
- `block_id` (string, optional)

### V1CommentsCommentIdGetResponsesContentApplicationJsonSchemaCreatedBy

- `object` (string, optional)
- `id` (string, optional)

### V1CommentsCommentIdGetResponsesContentApplicationJsonSchemaRichTextItems

- `type` (string, optional)
- `text` (V1CommentsCommentIdGetResponsesContentApplicationJsonSchemaRichTextItemsText, optional)
- `annotations` (V1CommentsCommentIdGetResponsesContentApplicationJsonSchemaRichTextItemsAnnotations, optional)
- `plain_text` (string, optional)
- `href` (any, optional)

### V1CommentsCommentIdGetResponsesContentApplicationJsonSchemaDisplayName

- `type` (string, optional)
- `resolved_name` (string, optional)

### V1CommentsCommentIdGetResponsesContentApplicationJsonSchemaRichTextItemsText

- `content` (string, optional)
- `link` (any, optional)

### V1CommentsCommentIdGetResponsesContentApplicationJsonSchemaRichTextItemsAnnotations

- `bold` (boolean, optional, default: true)
- `italic` (boolean, optional, default: true)
- `strikethrough` (boolean, optional, default: true)
- `underline` (boolean, optional, default: true)
- `code` (boolean, optional, default: true)
- `color` (string, optional)

## Examples

**Response**

```json
{
  "Result": {
    "value": "{\n\t\"object\": \"comment\",\n\t\"id\": \"249911a-125e-803e-a164-001cf338b8ec\",\n\t\"parent\": {\n\t\t\"type\": \"block_id\",\n\t\t\"block_id\": \"247vw11a-125e-8053-8e73-d3b3ed4f5768\"\n\t},\n\t\"discussion_id\": \"1mv7b911a-125e-80df-8c9e-001c179f63ef\",\n\t\"created_time\": \"2025-08-06T20:36:00.000Z\",\n\t\"last_edited_time\": \"2025-08-06T20:36:00.000Z\",\n\t\"created_by\": {\n\t\t\"object\": \"user\",\n\t\t\"id\": \"2092e755-4912-81f0-98dd-0002ad4ec952\"\n\t},\n\t\"rich_text\": [\n\t\t{\n\t\t\t\"type\": \"text\",\n\t\t\t\"text\": {\n\t\t\t\t\"content\": \"hello there\",\n\t\t\t\t\"link\": null\n\t\t\t},\n\t\t\t\"annotations\": {\n\t\t\t\t\"bold\": false,\n\t\t\t\t\"italic\": false,\n\t\t\t\t\"strikethrough\": false,\n\t\t\t\t\"underline\": false,\n\t\t\t\t\"code\": false,\n\t\t\t\t\"color\": \"default\"\n\t\t\t},\n\t\t\t\"plain_text\": \"hello there\",\n\t\t\t\"href\": null\n\t\t}\n\t],\n\t\"display_name\": {\n\t\t\"type\": \"integration\",\n\t\t\"resolved_name\": \"int\"\n\t}\n}"
  }
}
```

**SDK Code**

```javascript
const { Client } = require('@notionhq/client');

const notion = new Client({ auth: process.env.NOTION_API_KEY });

(async () => {
  const commentId = '123e767c-d7af-4b18-a86d-55c61f1e39a4';
  const response = await notion.comments.retrieve({ comment_id: commentId });
  console.log(response);
})();
```

```python
import requests

url = "https://api.notion.com/v1/comments/comment_id"

headers = {"Notion-Version": "Notion-Version"}

response = requests.get(url, headers=headers)

print(response.json())
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.notion.com/v1/comments/comment_id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Notion-Version", "Notion-Version")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.notion.com/v1/comments/comment_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Notion-Version"] = 'Notion-Version'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.notion.com/v1/comments/comment_id")
  .header("Notion-Version", "Notion-Version")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.notion.com/v1/comments/comment_id', [
  'headers' => [
    'Notion-Version' => 'Notion-Version',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.notion.com/v1/comments/comment_id");
var request = new RestRequest(Method.GET);
request.AddHeader("Notion-Version", "Notion-Version");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Notion-Version": "Notion-Version"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.notion.com/v1/comments/comment_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```